<script lang="ts">
import Vue from 'vue';
import type { PropType } from 'vue';
import { CtfCardGroup } from '~/models';

export default Vue.extend({
  name: 'SupportResources',
  props: {
    data: {
      type: Object as PropType<CtfCardGroup>,
      required: true,
    },
  },
});
</script>

<template>
  <div class="support-resources">
    <SlpContainer>
      <SlpTypography v-if="data.header" tag="h2" variant="heading2-bold">
        {{ data.header }}
      </SlpTypography>
      <div class="support-resources__cards">
        <a
          v-for="(card, index) in data.cards"
          :key="index"
          :index="index"
          class="support-resources__card"
          :href="card.cardLink"
          :data-ga-name="card.cardLinkDataGaName"
          :data-ga-location="card.cardLinkDataGaLocation"
        >
          <SlpTypography
            v-if="card.title"
            tag="h5"
            variant="heading5-bold"
            class="slp-mb-16"
          >
            {{ card.title }}
          </SlpTypography>
          <SlpTypography
            v-if="card.description"
            tag="div"
            variant="body1"
            class="slp-mb-16"
          >
            {{ card.description }}
          </SlpTypography>
          <SlpIcon
            name="arrow-right"
            variant="product"
            size="sm"
            class="arrow-icon"
          />
        </a>
      </div>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.support-resources {
  background-color: $color-surface-800;
  padding-bottom: 160px !important;
  @media (min-width: $breakpoint-md) {
    padding-bottom: 260px !important;
  }
  &__card {
    padding: 32px;
    background-color: #fff;
    border: 1px solid $color-surface-200;
    border-radius: 8px;
    color: $color-primary-200;
    transition: all 0.3s ease;
    &:hover,
    &:focus {
      border-radius: 8px 8px 100px 8px;
    }
  }
  &__cards {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-column-gap: 32px;
    grid-row-gap: 32px;
    cursor: pointer;
    margin-top: 32px;
    @media (min-width: $breakpoint-md) {
      grid-template-columns: repeat(2, 1fr);
      grid-row-gap: 0;
      margin-top: 64px;
    }
  }
}
</style>
